Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005953TestLinkTest Plan - Add/Remove Test Casespublic2013-10-02 23:142013-11-11 07:21
Reportersubitdas 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilitysometimes
StatusclosedResolutionno change required 
PlatformLinuxOSSuse linux OS Version11R2
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version 
Summary0005953: Testcase import is limited to 233 or less
DescriptionI can not import all test cases in my project . The import is maximum 233 or less. What is stoping all test cases to be imported.

in Testlink 1.9.0 I did not have this issue
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
BrowserMozilla firefox / Internet explorer (both latest versions)
PHP Version5.2
TestCaseID
QA Team - Task Workflow StatusTESTED
Attached Filespng file icon fc.png [^] (12,720 bytes) 2013-10-05 16:41

- Relationships
duplicate of 0005372closedfman Add 400 test cases to test plan at one time, only 242 cases are added 

-  Notes
(0019749)
subitdas (reporter)
2013-10-02 23:21

post_max_size in php.ini is 100M
(0019750)
fman (administrator)
2013-10-03 08:28

1. because 1.9.8 has been released, is kindly requested to do a fresh install with 1.9.8 + latest fixes and retest.

2. in each import/export issue nothing can be done if the file that create the issue is not provided.

3. >> in Testlink 1.9.0 I did not have this issue
unfortunatelly this info has no value because we new released has been refactored deeply.
(0019756)
subitdas (reporter)
2013-10-04 10:30

Hi Fman
Correct and make bug description more clear. The problem is when add/remove cases under test suite to test plan.

On add/remove test cases page, when open one folder (no matter parent or sub folder) to expand all test cases belongs to the folder, select all, after clicking adding, there's limitation to add, e.g. 233 (depends on cases size in all), other cases can't be added into test plan.
Same in case remove, there's also limitation when remove case from test plan.

Steps:
1. Login in testlink
2. Choose one project
3. Choose one test plan
4. Click 'Add/Remove test cases' link
5. Click one folder (case suite) to expand all cases in right panel, e.g 600
6.Click 'adding' button on top of right panel to check all test cases under the suite
7. Click 'Add/remove selected' button on top of right panel
8. Check those checked cases after page refresh
9. Check test cases on test plan under 'Test Execution' tab

Actual result:
1. Those cases still are unchecked and there's some error log
2. There're only some cases on the plan, e.g 233

Expected result:
1. Those cases should be in highlighted, which means are selected to test plan.
2. All 600 cases are display on test plan

Please refer to attached screenshot and below log
[Tue Sep 17 04:42:06 2013] [error] [client 10.137.97.116] File does not exist: /var/favicon.ico
[Tue Sep 17 04:45:02 2013] [error] [client 10.6.117.72] script '/var/testlink/lib/api/xmlrpc.php' not found or unable to stat
[Tue Sep 17 04:45:55 2013] [error] [client 10.170.20.148] script '/var/testlink/lib/api/xmlrpc.php' not found or unable to stat
[Tue Sep 17 04:48:08 2013] [error] [client 10.6.111.191] ALERT - configured POST variable limit exceeded - dropped variable 'custom_field_0_10_560018' (attacker '10.6.111.191', file '/var/testlink/lib/plan/planAddTC.php'), referer: http://testlink.successfactors.com/testlink/lib/plan/planAddTC.php?print_scope=test_specification&edit=testsuite&level=testsuite&id=470407&form_token=1876468766& [^]
[Tue Sep 17 04:49:46 2013] [error] [client 10.6.111.191] ALERT - configured POST variable limit exceeded - dropped variable 'custom_field_0_10_560018' (attacker '10.6.111.191', file '/var/testlink/lib/plan/planAddTC.php'), referer: http://testlink.successfactors.com/testlink/lib/plan/planAddTC.php?print_scope=test_specification&edit=testsuite&level=testsuite&id=470407&form_token=1666425873& [^]


BTW, we referred to a similar case on http://www.teamst.org/forum/viewtopic.php?f=11&t=7124 [^]
And add the parameter max_input_vars = 10000 in php.ini, still doesn't work.
(0019757)
fman (administrator)
2013-10-04 17:11

I know you are not going to like this part of my answer.
As you understand you can not report with a Summary and a category that are completely misleading, because I waste my time doing useless tests.

In the topic on forum I've confirmed it worked.
Question is: after the change have you stop and stop webserver ?
have you checked if some change is also needed on webserver config ?
(0019772)
fman (administrator)
2013-10-05 16:41

Give a look to attached image with criterias used to search and found anwser
(0019788)
Evelin (reporter)
2013-10-08 15:37

Hi fman,
We also struggle with this problem. Tested in TestLink 1.9.7 and 1.9.8 with the same result.

The settings:
- max_input_vars in php.ini = 10000
- Web server stopped and started after ini change
- a suite with 177 test cases
- in „Add/remove testcases“ and „Assign test case Execution“ try to assign the test cases to a build
- only 60 test cases assigned

We could not find other promising values somewhere else.
(0019789)
fman (administrator)
2013-10-08 16:29

@Evelyn:
You have to have PHP 5.3.10 or GREATER
(0019790)
fman (administrator)
2013-10-08 18:21

you can see my tests on demo site
I've configured php (php.ini with max_input_vars=5000)

I've create a test project FMAN BIG ONE and created several test suites til reach a total test case count of 960.
Then have created 3 test plans and add 120,240 and 480 without issues
(0019815)
fman (administrator)
2013-10-10 17:00

PHP version and PHP.INI config issue

- Issue History
Date Modified Username Field Change
2013-10-02 23:14 subitdas New Issue
2013-10-02 23:21 subitdas Note Added: 0019749
2013-10-03 08:28 fman Note Added: 0019750
2013-10-03 08:29 fman Assigned To => fman
2013-10-03 08:29 fman Status new => feedback
2013-10-04 10:30 subitdas Note Added: 0019756
2013-10-04 10:30 subitdas Status feedback => assigned
2013-10-04 17:11 fman Note Added: 0019757
2013-10-05 16:41 fman Relationship added duplicate of 0005372
2013-10-05 16:41 fman Note Added: 0019772
2013-10-05 16:41 fman File Added: fc.png
2013-10-05 16:42 fman Category Export/Import => Test Plan - Add/Remove Test Cases
2013-10-08 15:37 Evelin Note Added: 0019788
2013-10-08 16:29 fman Note Added: 0019789
2013-10-08 18:21 fman Note Added: 0019790
2013-10-08 18:23 fman Status assigned => feedback
2013-10-10 17:00 fman Note Added: 0019815
2013-10-10 17:00 fman Status feedback => closed
2013-10-10 17:00 fman Resolution open => no change required



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker